> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-dellapi-geopard/note-segnaposto/27.-mutazione-salva-note-associate-a-soildataset.md).

# 27. Mutazione: Salva "Note" associate a "SoilDataset"

Questa mutazione ti permette di allegare una Nota a uno SoilDataset specificato.

* Una Nota può essere collegata al Campo tramite il suo identificatore univoco `fieldUuid` e al SoilDataset associato tramite `soilDatasetUuid`.
* La coordinata della Nota può essere impostata usando il `centroid` attributo, che richiede definite `latitude` e `longitude` valori.&#x20;
* Il tipo di Nota può essere specificato usando l' `tipo` attributo con valori accettabili `PLANNED` o `REAL`.&#x20;
* La descrizione della Nota può essere fornita usando il `comment` attributo. Se la descrizione deve essere multilinea, la `comment` attributo dovrebbe contenere una stringa con caratteri di nuova riga `\\n` per separare le righe. Per esempio: `"Prima riga. è qui\\nSeconda riga è qui.\\nTerza riga è qui."`.

Le richieste di esempio possono essere trovate qui sotto:

```graphql
mutazione SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "La nota di prova allegata allo SoilDataset",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    dataCreazione
    updatedDate
    tipo
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutazione SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "Prima riga. è qui\\nSeconda riga è qui.\\nTerza riga è qui.",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    dataCreazione
    updatedDate
    tipo
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-dellapi-geopard/note-segnaposto/27.-mutazione-salva-note-associate-a-soildataset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
